


execute unless entity @a[tag=pause] run scoreboard players add timer1 timer 1
execute if score timer1 timer matches 1.. run gamemode spectator @a
execute if score timer1 timer matches 10 run execute as @a at @s run playsound minecraft:opening record @s ~ ~ ~ 5

execute if score timer1 timer matches 1..40 run execute in minecraft:overworld run tp @a 95.70 64.94 103.61 -133.77 -4.05
execute if score timer1 timer matches 40.. run execute in minecraft:overworld run tp @a 95.70 64.94 103.61

execute if score timer1 timer matches 1 run effect give @a minecraft:blindness 2 0 true

execute if score timer1 timer matches 80 run effect give @a minecraft:slowness infinite 0
execute if score timer1 timer matches 83 run effect give @a minecraft:slowness infinite 1
execute if score timer1 timer matches 86 run effect give @a minecraft:slowness infinite 2
execute if score timer1 timer matches 89 run effect give @a minecraft:slowness infinite 3
execute if score timer1 timer matches 92 run effect give @a minecraft:slowness infinite 4
execute if score timer1 timer matches 95 run effect give @a minecraft:slowness infinite 5
execute if score timer1 timer matches 98 run effect give @a minecraft:slowness infinite 6
execute if score timer1 timer matches 101 run effect give @a minecraft:slowness infinite 7

execute if score timer1 timer matches 101 run tellraw @a[tag=f] {"bold":true,"clickEvent":{"action":"run_command","value":"/scoreboard players set timer1 timer 2299"},"color":"#FF7A21","hoverEvent":{"action":"show_text","value":[{"text":"Skips Dialogue"}]},"italic":true,"text":"Click here to skip dialogue"}


execute if score timer1 timer matches 101 at @e[tag=valen] run particle minecraft:angry_villager ~ ~1 ~ .1 .3 .1 .1 5
execute if score timer1 timer matches 101 as @e[tag=valen] run say Chancellor, I am sure you are wondering why you and your daughter have been brought to this forsaken place. Allow me to enlighten you. I am Valen Thevenet, devoted servant of the ancient and mighty Smugnag. 
execute if score timer1 timer matches 301 at @e[tag=valen] run particle minecraft:angry_villager ~ ~1 ~ .1 .3 .1 .1 5
execute if score timer1 timer matches 301 as @e[tag=valen] run say Your lineage, descends directly from his bloodline. Today, we shall use that blood to revive him and restore his dominion over this world.

execute if score timer1 timer matches 501 at @e[tag=chancellor] run particle minecraft:angry_villager ~ ~1.5 ~ .1 .3 .1 .1 5
execute if score timer1 timer matches 501 as @e[tag=chancellor] run say You are out of your mind! Smugnag is a relic of a dark past that we have long since buried. We will not be your pawns in this lunacy!

execute if score timer1 timer matches 701 at @e[tag=valen] run particle minecraft:angry_villager ~ ~1 ~ .1 .3 .1 .1 5
execute if score timer1 timer matches 701 as @e[tag=valen] run say Your words are brave, Chancellor, but futile. The ritual has already begun. The power in your veins is the key to unleashing Smugnag's might.

execute if score timer1 timer matches 901 at @e[tag=valen] run particle minecraft:angry_villager ~ ~1 ~ .1 .3 .1 .1 5
execute if score timer1 timer matches 901 as @e[tag=valen] run say Your sacrifice, though unwilling, will usher in a new era—an era where the strong reign supreme and the weak perish. You cannot escape your destiny.


execute if score timer1 timer matches 1101 at @e[tag=daughter] run particle minecraft:angry_villager ~ ~3 ~ .1 .3 .1 .1 5
execute if score timer1 timer matches 1101 as @e[tag=daughter] run say You won't succeed, Valen. My father and I, we carry the blood of Smugnag, yes, but we also carry the strength of the Agra Republic. We are not merely descendants of an ancient evil; we are the future, and we will not be cowed by the likes of you.

execute if score timer1 timer matches 1301 at @e[tag=valen] run particle minecraft:angry_villager ~ ~1 ~ .1 .3 .1 .1 5
execute if score timer1 timer matches 1301 as @e[tag=valen] run say Ah, the daughter's spirit mirrors the father's. Admirable, but ultimately inconsequential. The ritual will proceed, and Smugnag will rise again. Your defiance, while commendable, will not alter your fate.

execute if score timer1 timer matches 1301 at @e[tag=chancellor] run particle minecraft:angry_villager ~ ~1.5 ~ .1 .3 .1 .1 5
execute if score timer1 timer matches 1301 as @e[tag=chancellor] run say We will find a way to stop you, Thevenet. Mark my words. The light of the Agra Republic will not be extinguished by the darkness you seek to unleash.

execute if score timer1 timer matches 1501 at @e[tag=valen] run particle minecraft:angry_villager ~ ~1 ~ .1 .3 .1 .1 5
execute if score timer1 timer matches 1501 as @e[tag=valen] run say Then fight, Chancellor. Fight with all you have. It will only make your eventual defeat all the more satisfying. The era of Smugnag is upon us, and there is nothing you can do to stop it.

execute if score timer1 timer matches 1700 at @e[tag=valen] run particle minecraft:angry_villager ~ ~1 ~ .1 .3 .1 .1 5
execute if score timer1 timer matches 1700 as @e[tag=valen] run say Oh! It appears we have visitors... kill them all!


execute if score timer1 timer matches 1900 at @e[tag=chancellor] run particle minecraft:happy_villager ~ ~2 ~ .1 1 .1 .1 100
execute if score timer1 timer matches 1900 as @e[tag=chancellor] run say Guirard! By the stars, you've come!

execute if score timer1 timer matches 2100 as @e[tag=g] run say Yes Chancellor, and we will put down these lunatics!

execute if score timer1 timer matches 2300 at @e[tag=valen] run particle minecraft:angry_villager ~ ~1 ~ .3 .3 .3 .1 50
execute if score timer1 timer matches 2300 as @e[tag=valen] run say Your presence here changes nothing. The ritual will proceed, and neither you nor your feeble friends can stop it!


execute if score timer1 timer matches ..1700 run tp @e[tag=valen] 105.02 65.00 93.42 -323.85 2.85
execute if score timer1 timer matches 1700.. run tp @e[tag=valen] 105.02 65.00 93.42 45.18 0.30

tp @e[tag=chancellor] 107.52 65.00 95.38
tp @e[tag=daughter] 107.52 65.00 95.38

execute if score timer1 timer matches 2300.. run scoreboard players set @a deaths 0
execute if score timer1 timer matches 2300 run execute as @a at @s run playsound minecraft:battle3
execute if score timer1 timer matches 2300.. run gamemode adventure @a
execute if score timer1 timer matches 2300.. run tag @a remove admin
execute if score timer1 timer matches 2300 run function custom:scene/final3

execute if score timer1 timer matches 2300 run setblock 89 63 101 minecraft:stone
execute if score timer1 timer matches 2300 run scoreboard players reset timer1


